UpdateConnectorSchedule
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.Connector.UpdateConnectorSchedule(ctx, operations.C1APIAppV1ConnectorServiceUpdateConnectorScheduleRequest{
AppID: "<id>",
ConnectorID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.UpdateConnectorScheduleResponse != nil {
// handle response
}
}curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/connectors/{connector_id}/schedule \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"cron": {
"cronSpec": "<string>",
"timezone": "<string>"
}
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/connectors/{connector_id}/schedule"
payload = { "cron": {
"cronSpec": "<string>",
"timezone": "<string>"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({cron: {cronSpec: '<string>', timezone: '<string>'}})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/connectors/{connector_id}/schedule', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}Connector
Update Connector Schedule
Invokes the c1.api.app.v1.ConnectorService.UpdateConnectorSchedule method.
POST
/
api
/
v1
/
apps
/
{app_id}
/
connectors
/
{connector_id}
/
schedule
UpdateConnectorSchedule
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.Connector.UpdateConnectorSchedule(ctx, operations.C1APIAppV1ConnectorServiceUpdateConnectorScheduleRequest{
AppID: "<id>",
ConnectorID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.UpdateConnectorScheduleResponse != nil {
// handle response
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
The appId field.
The connectorId field.
Body
application/json
The UpdateConnectorScheduleRequest message.
This message contains a oneof named schedule. Only a single field of the following list may be set at a time:
- cron
The ConnectorScheduleCron message.
Show child attributes
Show child attributes
Response
200 - application/json
Successful response
The UpdateConnectorScheduleResponse message.
Was this page helpful?
⌘I